


SUB inputC()
    DIM posicion AS  uinteger
    DIM contenido AS uinteger
    DIM r AS UBYTE
    DIM c AS UBYTE
    DIM k AS string
    dim s as uinteger
    cls
 print at 0,0;CantLayersActiveScreen
  refreshScreen()
     WHILE INKEY$ <> "":WEND
      WHILE INKEY$ = "":WEND
    'muestra union layer
    
    
    posicion = 1
    FOR r = 0 TO 23
        FOR c = 0 TO 31
         contenido =binariza(devuelveValorPosicionBitMap(posicion,AdrUnionLayer) )
         PRINT at r,c;contenido      
         posicion = posicion +1
         IF posicion = 768 then
            EXIT for
         END if
        NEXT c
     NEXT  r
     refreshScreen() 
      WHILE INKEY$ <> "":WEND
      WHILE INKEY$ = "":WEND
 'muestra todas las layers
 
 for s = 0 to CantLayersActiveScreen -1
     posicion = 1
    FOR r = 0 TO 23
        FOR c = 0 TO 31
         contenido =binariza(devuelveValorPosicionBitMap(posicion,AdrInicioCapasActiveScreen+1+(97*s) ))
         PRINT at r,c;contenido      
         posicion = posicion +1
         IF posicion = 768 then
            EXIT for
         END if
        NEXT c
     NEXT  r
     print at 0,0;peek( AdrInicioCapasActiveScreen+(97*s))
     refreshScreen()
     
     WHILE INKEY$ <> "":WEND
      WHILE INKEY$ = "":WEND
next s

END SUB